<div>
  <h1>{{ 'demo.title' | translate }}</h1>

  <!-- translation: translation pipe -->
  <p>{{ 'demo.text' | translate }}</p>

  <!-- translation: directive (key as attribute)-->
  <p [translate]="'demo.text'"></p>

  <!-- translation: directive (key as content of element) -->
  <p translate>demo.text</p>
</div>
<!-- translation with parameters: translation pipe -->
<p>{{ 'demo.greeting' | translate:{'name':'Andreas'} }}</p>

<!-- translation: directive (key as attribute) -->
<p [translate]="'demo.greeting'" [translateParams]="{name: 'Andreas'}"></p>

<!-- translation: directive (key as content of element)-->
<p translate [translateParams]="{name: 'Andreas'}">demo.greeting</p>
{
  "demo": {
    <span class="text-muted">&hellip;</span>
    "greeting": "Hello {{name}}!"
  }
}